<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<!-- start -->
<table class="main_t" cellpadding="0" cellspacing="0" border="0" align="center">
  <tr>
    <td style="height:112px;">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><?php echo tep_draw_separator('spacer.gif', '1', '15'); ?><br>
            <a href="index.php"><?php echo tep_image(DIR_WS_IMAGES.'logo.gif');?></a><br>
          </td>
          <td class="h_back1"><?php echo tep_draw_separator('spacer.gif', '1', '24'); ?><br>
            <table cellpadding="0" cellspacing="0" border="0" align="right" style="width:181px;">
              <tr>
                <td style="padding:17px 0 0 46px;" class="txt1">
                	<u><?php echo BOX_HEADING_SHOPPING_CART?>:</u><br>
                  <?php echo tep_draw_separator('spacer.gif', '1', '4'); ?><br>
                  now in your cart <a href="<?php echo tep_href_link('shopping_cart.php')?>"><?php echo $cart->count_contents()?> <?php echo BOX_SHOPPING_CART_EMPTY?></a><br>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td>
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td>
          	<?php echo tep_image(DIR_WS_IMAGES.'h_back2.gif');?><br>
          </td>
          <td style="width:100%; background:#f6f6f1; padding-top:12px;">
            <table cellpadding="0" cellspacing="0" border="0" style="width:auto;" align="right">
              <tr>
                <td class="h_back4">
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td style="width:101px; text-align:right; padding-top:2px;" class="txt2"><?php echo BOX_HEADING_CURRENCIES?>:&nbsp;&nbsp;&nbsp;<br>
                      </td>
                      <td class="txt2" style="padding-top:2px;">
                      
						<?php
    echo tep_draw_form('currencies', tep_href_link(basename($PHP_SELF), '', $request_type, false), 'get');
    reset($currencies->currencies);
    $currencies_array = array();
    while (list($key, $value) = each($currencies->currencies)) {
    $currencies_array[] = array('id' => $key, 'text' => $value['title']);
    }
    $hidden_get_variables = '';
    reset($HTTP_GET_VARS);
    while (list($key, $value) = each($HTTP_GET_VARS)) {
    if ( ($key != 'currency') && ($key != tep_session_name()) && ($key != 'x') && ($key != 'y') ) {
    $hidden_get_variables .= tep_draw_hidden_field($key, $value);
    }
    }
    echo tep_draw_pull_down_menu('currency', $currencies_array, $currency, 'onChange="this.form.submit();" class="select"') . $hidden_get_variables . tep_hide_session_id();
    echo '</form>';
    ?>
    
                      </td>
                    </tr>
                  </table>
                </td>
                <td><?php echo tep_draw_separator('spacer.gif', '10', '1'); ?><br>
                </td>
                <td style="width:192px;">
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td style="width:104px; text-align:right;" class="txt2"> <?php echo BOX_HEADING_LANGUAGES ?>:&nbsp;&nbsp;&nbsp;<br>
                      </td>
                      <td class="txt2" style="padding-top:2px;">
							<?php
                             if (!isset($lng) || (isset($lng) && !is_object($lng))) {
                             include(DIR_WS_CLASSES . 'language.php');
                             $lng = new language;
                             }
                             $languages_string = '';
                             reset($lng->catalog_languages);
                             while (list($key, $value) = each($lng->catalog_languages)) {
                             $languages_string .= '<a href="' . tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('language', 'currency')) . 'language=' . $key, $request_type) . '">' . tep_image(DIR_WS_LANGUAGES . $value['directory'] . '/images/' . $value['image'], $value['name']) . '</a>&nbsp;';
                             }
                             echo $languages_string;
                            ?><br>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td>
          	<?php echo tep_image(DIR_WS_IMAGES.'h_back3.gif');?><br>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td><?php echo tep_draw_separator('spacer.gif', '1', '5'); ?><br>
    </td>
  </tr>
  <tr>
    <td class="h_back7">
      <table cellpadding="0" cellspacing="0" border="0" class="h_back6">
        <tr>
          <td class="h_back8">
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td style="width:100%;" class="menu">
                  <ul>
                    <li><span><a href="<?php echo tep_href_link('index.php')?>"><? printf(BOX_MANUFACTURER_INFO_HOMEPAGE,"")?></a></span></li>
                    <li><span><a href="<?php echo tep_href_link('products_new.php')?>"><?php echo BOX_HEADING_WHATS_NEW?></a></span></li>
                    <li><span><a href="<?php echo tep_href_link('specials.php')?>"><?php echo BOX_HEADING_SPECIALS?></a></span></li>
                    <li><span><a href="<?php echo tep_href_link('account.php')?>"><?php echo HEADER_TITLE_MY_ACCOUNT?></a></span></li>
                    <li class="last"><span><a href="<?php echo tep_href_link('contact_us.php')?>"><?php echo BOX_INFORMATION_CONTACT?></a></span></li>
                  </ul>
                </td>
                <td style="padding-top:16px;">
                
                
<?php echo tep_draw_form('search',tep_href_link(FILENAME_ADVANCED_SEARCH_RESULT, '', 'NONSSL', false),'get') ?>
                  <table cellpadding="0" cellspacing="0" border="0" style="width:234px;">
                    <tr>
                      <td style="width:67px;" class="txt3">
                        <div style="padding:3px 0 0 12px;">search:<br>
                        </div>
                      </td>
                      <td style="width:116px;" class="txt3">
                        <input type=text name="keywords" value="">
                      </td>
                      <td><?php echo tep_image_submit('search.gif')?><br></td>
                    </tr>
                  </table>
</form>
                  
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td><?php echo tep_draw_separator('spacer.gif', '1', '6'); ?><br>
    </td>
  </tr>
  
    <?php
	
	  include_once("includes/functions/custom_functions.php");

		$path_parts=getCurrPathName();
		$flag=true;
		
		$flag=strstr($path_parts['basename'],".php");
		
		
		if((($path_parts['basename'] == "index.php") || ($path_parts['basename'] == "") || ($path_parts['basename'] == "index.php?language=en") || ($path_parts['basename'] == "index.php?language=de") || ($path_parts['basename'] == "index.php?language=es")) || $flag == false)

		{

	?>
    
    	
    
  
  
  
  <tr>
    <td>
      <table cellpadding="0" cellspacing="0" border="0" align="center" style="width:auto; margin:auto;">
        <tr>
          <td>
          
              <?php
                      if ($banner = tep_banner_exists('dynamic', 'banner1')) {
                    ?>
              <?php echo tep_display_banner('static', $banner); ?><br />
              <?php
                      }
                    ?>
          
          </td>
          <td><?php echo tep_draw_separator('spacer.gif', '7', '1'); ?><br>
          </td>
          <td>
          
              <?php
                      if ($banner = tep_banner_exists('dynamic', 'banner2')) {
                    ?>
              <?php echo tep_display_banner('static', $banner); ?><br />
              <?php
                      }
                    ?>
                    
            <?php echo tep_draw_separator('spacer.gif', '1', '7'); ?><br>
            
            
              <?php
                      if ($banner = tep_banner_exists('dynamic', 'banner3')) {
                    ?>
              <?php echo tep_display_banner('static', $banner); ?><br />
              <?php
                      }
                    ?>
            
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td>
    	<?php echo tep_draw_separator('spacer.gif', '1', '7'); ?><br>
    </td>
  </tr>
      
      <?php
	  	}
	  ?>



  
  
  <tr>
    <td>
    
         
            



<!-- end -->
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(stripslashes(urldecode($HTTP_GET_VARS['error_message']))); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars(stripslashes(urldecode($HTTP_GET_VARS['info_message']))); ?></td>
  </tr>
</table>
<?php
  }
?>


